<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateQuestionsTable extends Migration
{
    public function up(): void
    {
        Schema::create('questions', function (Blueprint $table): void {
            $table->increments('id');
            $table->string('type');
            $table->unsignedInteger('form_step_section_id');
            $table->foreign('form_step_section_id')->references('id')->on('form_step_sections')->onDelete('cascade');
            $table->string('question');
            $table->string('help_text')->nullable();
            $table->string('placeholder')->nullable();
            $table->boolean('is_sensitive_personal_data')->default(false);
            $table->smallInteger('order');
            $table->uuid('uuid');

            $table->timestamps();
        });
    }
}
